Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.images.upscale({
input: {
imageUrl: "https://difficult-contrail.biz/",
},
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/images/upscale \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"image_url": "<string>",
"scale": 2,
"output_format": "jpeg"
},
"model": "fal-ai/topaz/upscale/image"
}
'import requests
url = "https://api.crevio.co/v1/images/upscale"
payload = {
"input": {
"image_url": "<string>",
"scale": 2,
"output_format": "jpeg"
},
"model": "fal-ai/topaz/upscale/image"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {image_url: '<string>', scale: 2, output_format: 'jpeg'},
model: 'fal-ai/topaz/upscale/image'
})
};
fetch('https://api.crevio.co/v1/images/upscale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"type": "<string>",
"model": "<string>",
"progress": 123,
"input": {},
"result": {},
"error": "<string>",
"error_code": "<string>",
"credits_used": 123,
"provider_request_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Images
Upscale an image
Submits an asynchronous image super-resolution job to the fal.ai queue and returns the queued job immediately. Poll GET /v1/jobs/{id} for status and results. Credits are charged only when the job completes successfully.
POST
/
images
/
upscale
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.images.upscale({
input: {
imageUrl: "https://difficult-contrail.biz/",
},
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Body
application/json
Response
Upscale job queued
Available options:
queued, processing, completed, failed, cancelled Was this page helpful?
⌘I

